I have been an avid PC gamer for many years, having build my first gaming PC at 17 and have continued to modify and build high performance computers since then. I have made an effort to keep up to date with the latest technologies and advancements in the prosumer PC marketplace, and by doing so I have accumulated a substantial amount of knowledge on consumer PCs and electronics.
